Bug 1708043 - [geo-rep]: Non-root - Unable to set up mountbroker root directory and group
Summary: [geo-rep]: Non-root - Unable to set up mountbroker root directory and group
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: geo-replication
Version: rhgs-3.5
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: RHGS 3.5.0
Assignee: Sunny Kumar
QA Contact: Rahul Hinduja
URL:
Whiteboard:
Depends On: 1709248 1750228 1750230
Blocks: 1696807
TreeView+ depends on / blocked
 
Reported: 2019-05-09 03:46 UTC by Rochelle
Modified: 2019-09-09 06:15 UTC (History)
7 users (show)

Fixed In Version: glusterfs-6.0-6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1709248 (view as bug list)
Environment:
Last Closed:


Attachments (Terms of Use)

Description Rochelle 2019-05-09 03:46:13 UTC
Description of problem:
========================
[root@dhcp42-250 ~]# gluster-mountbroker setup /var/mountbroker-root geogroup
Traceback (most recent call last):
  File "/usr/sbin/gluster-mountbroker", line 396, in <module>
    runcli()
  File "/usr/lib/python2.7/site-packages/gluster/cliutils/cliutils.py", line 225, in runcli
    cls.run(args)
  File "/usr/sbin/gluster-mountbroker", line 230, in run
    args.group])
  File "/usr/lib/python2.7/site-packages/gluster/cliutils/cliutils.py", line 127, in execute_in_peers
    raise GlusterCmdException((rc, out, err, " ".join(cmd)))
gluster.cliutils.cliutils.GlusterCmdException: (1, '', 'Unable to end. Error : Success\n', 'gluster system:: execute mountbroker.py node-setup /var/mountbroker-root geogroup')


Version-Release number of selected component (if applicable):
=============================================================
[root@dhcp42-131]# rpm -qa | grep gluster
gluster-nagios-common-0.2.4-1.el7rhgs.noarch
glusterfs-cli-6.0-2.el7rhgs.x86_64
glusterfs-geo-replication-6.0-2.el7rhgs.x86_64
glusterfs-libs-6.0-2.el7rhgs.x86_64
glusterfs-6.0-2.el7rhgs.x86_64
glusterfs-fuse-6.0-2.el7rhgs.x86_64
glusterfs-server-6.0-2.el7rhgs.x86_64
glusterfs-client-xlators-6.0-2.el7rhgs.x86_64
gluster-nagios-addons-0.2.10-2.el7rhgs.x86_64
vdsm-gluster-4.19.43-2.3.el7rhgs.noarch
glusterfs-api-6.0-2.el7rhgs.x86_64
python2-gluster-6.0-2.el7rhgs.x86_64
libvirt-daemon-driver-storage-gluster-4.5.0-10.el7_6.7.x86_64
glusterfs-rdma-6.0-2.el7rhgs.x86_64


How reproducible:
=================
Always


Steps to Reproduce:
====================
1. Create a master and slave volume
2. Create groups on all slaves - geogroup
3. Add user to the group created on all slaves - geoaccount
4. Set up mountbroker root directory and group
5. Add slave vol and user to the mountbroker service

Actual results:
===============
Unable to set up the mountbroker root directory and group successfully

Expected results:
=================
Should be able to set up mountbroker root directory and group successfully.
Should be able to add slave vol and user to the mountbroker service


Additional info:

Comment 3 Sunny Kumar 2019-05-13 09:32:43 UTC
Upstream Patch: https://review.gluster.org/#/c/glusterfs/+/22716/


Note You need to log in before you can comment on or make changes to this bug.